PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package aura
  Definition Classes
    serverobject
- Aura
- AuraContainer
- AuraEffectBehavior

t

net.psforever.objects.serverobject.aura

# AuraEffectBehavior

###
Companion object AuraEffectBehavior

#### trait AuraEffectBehavior extends AnyRef

A mixin that governs the addition, display, and removal of aura particle effects on a target with control agency.

Self Type
  AuraEffectBehavior with Actor
Source
  AuraEffectBehavior.scala
See also

  `Aura`

  `AuraContainer`

  `PlayerControl`

Linear Supertypes
AnyRef, Any
Known Subclasses
PlayerControl

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AuraEffectBehavior
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Abstract Value Members

1.  abstract def AuraTargetObject: Target
2.  abstract def UpdateAuraEffect(target: Target): Unit

   An override callback to display aura effects emitted.

   An override callback to display aura effects emitted.

   target

     the entity from which the aura effects are being emitted

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def ApplicableEffect(effect: Aura): Unit

   Only pre-apporved aura effects will be emitted by this target.

   Only pre-apporved aura effects will be emitted by this target.

   effect

     the aura effect

5.  def EndAllEffects(): Unit

   Stop the target entity from emitting all aura particle effects.

6.  def EndAllEffectsAndUpdate(): Unit

   Stop the target entity from emitting all aura particle effects.

   Stop the target entity from emitting all aura particle effects. Animate the new particle effect state.

7.  def EndAuraEffect(effect: Aura): Boolean

   Stop the target entity from emitting the aura particle effect, if it currently is.

   Stop the target entity from emitting the aura particle effect, if it currently is.

   effect

     the target effect

   returns

     `true`, if the effect was being emitted but has been stopped `false`, if the effect was not approved or is not being emitted

8.  def EndAuraEffectAndUpdate(effect: Aura): Unit

   Stop the target entity from emitting the aura particle effect, if it currently is.

   Stop the target entity from emitting the aura particle effect, if it currently is. If the effect has been stopped, animate the new particle effect state.

9.  def StartAuraEffect(effect: Aura, duration: Long): Unit

   An aura particle effect is to be emitted by the target.

   An aura particle effect is to be emitted by the target. If the effect was not previously applied to the target in an ongoing manner, animate it appropriately.

   effect

     the effect to be emitted

   duration

     for how long the effect will be emitted

   returns

     the active effect index number

10.  def TestForEffect(effect: Aura): Boolean

    Is the target entity emitting the aura effect?

    Is the target entity emitting the aura effect?

    effect

      the effect being tested

    returns

      `true`, if the effect is currently being emitted; `false`, otherwise

11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  val auraBehavior: (AuraEffectBehavior.this)#Receive
13.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
24.  def toString(): String
    Definition Classes
      AnyRef → Any
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped